// 洗牌算法
export function FYShuffle(arr) {
    let len = arr.length;

    while (len > 1) {
        let rand = Math.floor(Math.random() * len);
        len--;
        [arr[len], arr[rand]] = [arr[rand], arr[len]] // 采用的数组的结构赋值
    }

    return arr;
}

